import socket

ESP32_IP = "172.20.10.2"
ESP32_PORT = 80

try:
    print(f"Attempting to connect to {ESP32_IP}:{ESP32_PORT}")
    with socket.socket(socket.AF_INET, socket.SOCK_STREAM) as client_socket:
        client_socket.settimeout(5)  # Set a timeout for the connection
        client_socket.connect((ESP32_IP, ESP32_PORT))
        print("Connected successfully!")
        client_socket.sendall(b"GET / HTTP/1.1\r\nHost: 172.20.10.13\r\n\r\n")
        response = client_socket.recv(1024)
        print("Response from ESP32:")
        print(response.decode())
except socket.error as e:
    print(f"Socket error: {e}")
